# class Gem::Resolver::Molinillo::DependencyState

A state that encapsulates a set of {#requirements} with an {Array} of possibilities

### Public Instance Methods

pop_possibility_state() click to toggle source

Removes a possibility from ‘self` @return [PossibilityState] a state with a single possibility,

    the possibility that was removed from `self`

    # File lib/rubygems/resolver/molinillo/lib/molinillo/state.rb, line 38
    def pop_possibility_state
      PossibilityState.new(
        name,
        requirements.dup,
        activated,
        requirement,
        [possibilities.pop],
        depth + 1,
        conflicts.dup,
        unused_unwind_options.dup
      ).tap do |state|
        state.activated.tag(state)
      end
    end